<?php
namespace App\Components\Payment;

class PaymentProcess
{

    /**
     * @var paytmService - Paytm Service
     */
    protected $paytmService;

    /**
     * @var instamojoService - Instamojo Service
     */
    protected $instamojoService;

    /**
     * @var paystackService - Paystack Service
     */
    protected $paystackService;

    /**
     * @var razorpayService - Razorpay Service
     */
    protected $razorpayService;

    /**
     * @var stripeService - Stripe Service
     */
    protected $stripeService;

    /**
     * @var bitPayService - BitPay Service
     */
    protected $bitPayService;

    /**
     * @var mercadopagoService - Mercadopago Service
     */
    protected $mercadopagoService;

    /**
     * @var payUmoneyService - Mercadopago Service
     */
    protected $payUmoneyService;

    public function __construct($paytmService, $instamojoService, $paystackService, $razorpayService, $stripeService, $bitPayService, $mercadopagoService, $payUmoneyService)
    {
        $this->paytmService          = $paytmService;
        $this->instamojoService      = $instamojoService;
        $this->paystackService       = $paystackService;
        $this->razorpayService       = $razorpayService;
        $this->stripeService         = $stripeService;
        $this->bitPayService         = $bitPayService;
        $this->mercadopagoService    = $mercadopagoService;
        $this->payUmoneyService      = $payUmoneyService;
    }

    public function getPaymentData($request)
    {
        $processResponse = [];
        if ($request['paymentOption'] == 'paytm') {
            //get paytm request data
            $processResponse = $this->paytmService->handlePaytmRequest($request);

            return $processResponse;
        } elseif ($request['paymentOption'] == 'instamojo') {
            //get instamojo request data
            $processResponse = $this->instamojoService->processInstamojoRequest($request);
            return $processResponse;
        } elseif ($request['paymentOption'] == 'stripe') {
            // Get Stripe request Data
            $processResponse = $this->stripeService->processStripeRequest($request);
            return $processResponse;
        } elseif ($request['paymentOption'] == 'paystack') {
            // Get Stripe request Data
            $processResponse = $this->paystackService->processPaystackRequest($request);
            return $processResponse;
        } elseif ($request['paymentOption'] == 'razorpay') {
            // Get Stripe request Data
            $processResponse = $this->razorpayService->processRazorpayRequest($request);
            return $processResponse;
        } elseif ($request['paymentOption'] == 'bitpay') {
            $processResponse = $this->bitPayService->processBitPayRequest($request);
            return $processResponse;
        } elseif ($request['paymentOption'] == 'mercadopago') {
            $processResponse = $this->mercadopagoService->processMercadopagoRequest($request);
            return $processResponse;
        } elseif ($request['paymentOption'] == 'payumoney') {
            $processResponse = $this->payUmoneyService->processPayUmoneyRequest($request);
            return $processResponse;
        }
    }
}
