<?php
if (!function_exists('getConfig')) {
    function getConfig($item = null)
    {
        return config_data;
    }
}

if (!function_exists('configItem')) {
    function configItem()
    {
        return getConfig();
    }
}

if (!function_exists('getPaytmMerchantForm')) {
    function getPaytmMerchantForm($paymentData)
    {
        ob_start();
        include "core/templates/paytm.php";
        $html_content = ob_get_contents();
        ob_end_clean();
        return $html_content;
    }
}

if (!function_exists('getAppUrl')) {
    function getAppUrl($item = null, $path = '')
    {
        $configData = getConfig();
        $basePath = $configData['base_url'];

        if (!empty($item)) {
            return $basePath . $path . $item;
        } else {
            return $basePath . $path;
        }
    }
}

if (!function_exists('getArrayItem')) {
    function getArrayItem($array, $key, $default = null)
    {
        if (!is_string($key) || empty($key) || !count($array)) {
            return $default;
        }

        if (strpos($key, '.') !== false) {
            $keys = explode('.', $key);

            foreach ($keys as $innerKey) {
                if (!array_key_exists($innerKey, $array)) {
                    return $default;
                }

                $array = $array[$innerKey];
            }

            return $array;
        }

        return array_key_exists($key, $array) ? $array[$key] : $default;
    }
}